textures/sfx/blackness
{	
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/sfx/blackness.jpg
	}
}

textures/sfx/pureblack
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/skies/blacksky.tga
	}
}

textures/xccc4/leave4
{
surfaceparm trans

surfaceparm nonsolid
cull none
nopicmip
{
map textures/xccc4/leave4.tga
blendFunc GL_ONE GL_ZERO
alphaFunc GE128
depthWrite
rgbGen identity
}
{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


textures/liquids/clear_ripple3
	{
		qer_editorimage textures/liquids/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

textures/knc_3/knc3_chain1
{
qer_editorimage textures/knc_3/knc3_chain1.tga
q3map_forcemeta
q3map_nonplanar
q3map_shadeangle 180
qer_alphafunc gequal 0.5
cull none
surfaceparm nonsolid
{
	map textures/knc_3/knc3_chain1.tga
	rgbgen identity
	alphafunc ge128
	blendfunc blend
	depthwrite
}
{
	map $lightmap
	rgbgen identity
	depthfunc equal
	blendfunc filter
}
}

textures/dm15/dm15_pipe
{
q3map_nonplanar
q3map_shadeangle 180
{
map textures/dm15/dm15_pipe.tga
rgbgen identity
}
{
map $lightmap
blendfunc filter
rgbgen identity
}
}

textures/liquids/xccc_gruel
{
qer_editroimage textures/liquids/proto_grueldark.jpg
surfaceparm trans
surfaceparm nonsolid
q3map_alphagen const 0.75
qer_trans 0.3
{
map textures/liquids/proto_grueldark.jpg
tcmod scroll 0.1 0.2
blendfunc add 
rgbgen identity
}
{
map textures/liquids/proto_grueldark2.tga
blendfunc blend 
alphagen const 0.5
tcmod scroll 0.05 -0.1
}
{
map $lightmap
rgbgen identity
blendfunc filter
}
}

textures/liquids/xccc_gruel2
{
qer_editroimage textures/liquids/proto_grueldark.jpg
surfaceparm trans
surfaceparm nonsolid
q3map_alphagen const 0.75
qer_trans 0.3
{
map textures/liquids/proto_grueldark.jpg
tcmod scroll 0.1 0.2
blendfunc add 
rgbgen identity
}
{
map textures/liquids/proto_grueldark2.tga
blendfunc blend 
alphagen const 0.5
tcmod scroll 0.05 -0.1
}
{
map $lightmap
rgbgen identity
blendfunc filter
}
}

textures/dm15/dm15_bluemetal2_shiny
{
q3map_nonplanar
q3map_shadeangle 180

	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/dm15/dm15_bluemetal2_shiny.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}		
}

textures/dm15/dm15_gear02
{
	
        surfaceparm trans	
	surfaceparm alphashadow
	cull none
        //nopicmip
	{
		clampmap textures/dm15/dm15_gear02.tga
		alphaFunc GE128
		
                tcmod rotate 128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/dm15/dm15_km_arena1tower4_shiny
{
q3map_nonplanar
q3map_shadeangle 180
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/dm15/dm15_km_arena1tower4_shiny.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}

textures/dm15/dm15_km_arena1tower4_shiny_wheel
{
	cull none
q3map_nonplanar
q3map_shadeangle 180

	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/dm15/dm15_km_arena1tower4_shiny.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
		tcmod scroll 0 5
	}

			
}

textures/dm15/dm15_dooreye3
{
	surfaceparm nomarks
      q3map_nonplanar
      q3map_shadeangle 180
	q3map_surfacelight 600
	q3map_lightimage textures/base_wall/dooreyelight.tga
	qer_editorimage textures/dm15/dm15_dooreye3.tga

	
	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/dm15/dm15_dooreye3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/base_wall/dooreyelight.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave triangle .5 .5 0 .5
	}
}

textures/skies/dm15sky
{
	qer_editorimage textures/skies/toxicbluesky.tga
	q3map_lightimage textures/skies/topclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256

	q3map_sun	.5 .6 .8 62 190 81
	q3map_surfacelight 30

	skyparms env/hip_violent 1024 -
	{
		map textures/skies/killsky_1.tga
		tcMod scale 3 2
		tcMod scroll 0.075 0.075
		depthWrite
	}
	{
		map textures/skies/proto_sky.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.005
                //rgbgen wave triangle 1 2 0 7
		tcMod scale 1 1
	}

}

textures/dm15/dm15_elevatordoor
{
	surfaceparm	metalsteps	
      q3map_alphashadow	
	cull none
        nopicmip
	qer_alphafunc gequal 0.5

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/dm15/dm15_elevatordoor.tga
		//tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/dm15/dm15_beam1
{
	qer_alphafunc gequal 0.5
	qer_editorimage textures/dm15/dm15_beam1.tga
	cull none
	q3map_nonplanar
q3map_shadeangle 180
	
	
{
	map  textures/dm15/dm15_beam1.tga
	blendfunc gl_one gl_zero
	alphaFunc GE128
	depthWrite
	rgbgen identity
}
{
	map $lightmap
	depthfunc equal
	blendfunc filter
	rgbgen identity
}
}

textures/dm15/dm15_beam2
{
	qer_alphafunc gequal 0.5
	qer_editorimage textures/dm15/dm15_beam2.tga
	cull none
	q3map_nonplanar
q3map_shadeangle 180
	
{
	map  textures/dm15/dm15_beam2.tga
	blendfunc gl_one gl_zero
	alphaFunc GE128
	depthWrite
	rgbgen identity
}
{
	map $lightmap
	depthfunc equal
	blendfunc filter
	rgbgen identity
}
}

textures/dm15/fogdm15
{
	fogParms ( 0.374258 0.377722 0.34638 ) 32596	
	surfaceparm fog		
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_editorImage textures/xccc/xccclavaed.jpg
	qer_trans 0.4
}

textures/dm15/lgspot
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15/lgspot.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/dm15/glspot
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15/glspot.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/dm15/rgspot
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15/rgspot.tga
      blendFunc add
   }
}

textures/dm15/sgspot
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15/sgspot.tga
      blendFunc add
   }
}

textures/dm15/rlspot
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15/rlspot.tga
      blendFunc add
   }
}

textures/dm15/mhspot
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15/mhspot.tga
      blendFunc add
   }
}

textures/dm15/yaspot
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15/yaspot.tga
      blendFunc add
   }
}

textures/dm15/raspot
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15/raspot.tga
      blendFunc add
   }
}

textures/dm15/pgspot
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15/pgspot.tga
      blendFunc add
   }
}

textures/dm15/dm15_flare1
{
deformVertexes autosprite
surfaceparm trans
surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip
{
	map textures/dm15/dm15_flare1.jpg
	tcmod rotate -9
	blendfunc add
}
}

textures/dm15/dm15_flare2
{
deformVertexes autosprite2
surfaceparm trans
surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip
{
	map textures/dm15/dm15_flare2.jpg
	blendfunc add
}
}

textures/dm15/dm15_indusbrick
{
{
map textures/dm15/dm15_indusbrick.tga
rgbgen identity
}
{
map $lightmap
rgbgen identity
blendfunc filter
}
}

textures/dm15/dm15_outbrick
{
{
map textures/dm15/dm15_outbrick.tga
rgbgen identity
}
{
map $lightmap
rgbgen identity
blendfunc filter
}
}

textures/dm15/dm15_outerbrickwall
{
q3map_nonplanar
q3map_shadeangle 180
{
map textures/dm15/dm15_outerbrickwall.tga
rgbgen identity
}
{
map $lightmap
rgbgen identity
blendfunc filter
}
}

textures/dm15/dm15_woodplanket
{
cull none
q3map_nonplanar
q3map_shadeangle 89
{
map textures/dm15/dm15_woodplanket.tga
rgbgen identity
}
{
map $lightmap
rgbgen identity
blendfunc filter
}
}

textures/dm15/dm15_woodblank
{
cull none
q3map_nonplanar
q3map_shadeangle 89
{
map textures/dm15/dm15_woodblank.tga
rgbgen identity
}
{
map $lightmap
rgbgen identity
blendfunc filter
}
}

textures/dm15_decal/tab_decal_blood_c
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15_decal/tab_decal_blood_c.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
   {
      map textures/dm15_decal/tab_decal_blood_c.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	tcmod scroll -0.1 -0.0
   }
}

textures/dm15_decal/tab_decal_blood_d
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15_decal/tab_decal_blood_d.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/dm15_decal/tab_decal_blood_e
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/dm15_decal/tab_decal_blood_e.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}

textures/base_wall/glass02
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans
	sort 9
	surfaceparm lightfilter
	q3map_alphagen const 0.75
	surfaceparm nolightmap
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/base_wall/glass03
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans
	sort 9
	surfaceparm solid
	surfaceparm lightfilter
	q3map_alphagen const 0.125
	cull none
	qer_trans 	0.825
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/xccc_box/redflare
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nolightmap

	{
		clampmap textures/xccc_box/redflare.tga
                tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}

textures/xccc_box/blueflare
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nolightmap

	{
		clampmap textures/xccc_box/blueflare.tga
                tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}

